Şunlar için geçerlidir:

Microsoft .NET Framework 4.6.2 Microsoft .NET Framework 4.7 Microsoft .NET Framework 4.7.1 Microsoft .NET Framework 4.7.2

HATIRLATMA Windows 7, Windows Server 2008 R2, Windows Embedded Standard 7 ve Windows Embedded POS Ready 7 temel desteğin sonuna ulaşmıştır ve artık genişletilmiş güvenlik güncelleştirmesi (ESU) desteğine sahiptir. Windows Thin PC temel desteğin sonuna ulaştı; ancak ESU desteği sağlanmaz. 

Temmuz 2020'den itibaren, bu işletim sistemi için artık isteğe bağlı, güvenlikle ilgili olmayan sürümler ("C" sürümleri olarak bilinir) olmayacaktır. Genişletilmiş destek kapsamındaki işletim sistemleri yalnızca toplu aylık güvenlik güncelleştirmelerine sahiptir ("B" veya Salı güncelleştirme sürümü olarak bilinir).

Bu güncelleştirmeyi yüklemeden önce Bu güncelleştirmeyi alma bölümünde listelenen gerekli güncelleştirmeleri yüklediğinizi doğrulayın. 

Bu işletim sistemlerinin şirket içi sürümleri için Genişletilmiş Güvenlik Güncelleştirmesi'ni (ESU) satın alan müşterilerin, genişletilmiş destek 14 Ocak 2020'de sona erdikten sonra güvenlik güncelleştirmelerini almaya devam etmek için KB4522133'teki yordamları izlemeleri gerekir. ESU ve hangi sürümlerin desteklendiği hakkında daha fazla bilgi için bkz. KB4497181.

ESU, teklif edildikleri yılların her biri için ayrı bir SKU olarak sunulduğundan (2020, 2021 ve 2022) ve ESU yalnızca belirli 12 aylık dönemlerde satın alınabileceğinden, ESU kapsamının üçüncü yılını ayrı olarak satın almanız ve 2022'de güvenlik güncelleştirmelerini almaya devam etmek için cihazlarınız için geçerli her cihazda yeni bir anahtar etkinleştirmeniz gerekir.

Kuruluşunuz ESU kapsamının üçüncü yılını satın almadıysa, güncelleştirmeleri almak için 3. Yıl MAK anahtarlarını yükleyip etkinleştirmeden önce geçerli Windows 7 SP1 veya Windows Server 2008 R2 SP1 cihazlarınız için 1. Yıl, 2. Yıl ve 3. Yıl ESU satın almanız gerekir. ESU'ları yükleme, etkinleştirme ve dağıtma adımları birinci, ikinci ve üçüncü yıl kapsamı için aynıdır. Daha fazla bilgi için bkz. Toplu Lisanslama işlemi için uygun Windows cihazları için Genişletilmiş Güvenlik Güncelleştirmeler alma ve CSP işlemi için Bulut Çözümü Sağlayıcısı olarak Windows 7 ESU satın alma. Ekli cihazlar için orijinal donanım üreticinize (OEM) başvurun.

Daha fazla bilgi için ESU blogu'na bakın.

HATIRLATMA Ağustos 2019'dan itibaren Windows Server 2008 SP1, Windows Server 2008 R2 SP1 ve Windows 7SP1 için .NET Framework 4.6 ve üzeri güncelleştirmeler SHA-2 Kod imzalama desteği gerektirir. Yükleme sorunlarını önlemek için bu güncelleştirmeyi uygulamadan önce lütfen en son Windows Güncelleştirmeler sahip olduğunuzdan emin olun. SHA-2 kod imzalama destek güncelleştirmeleri hakkında daha ayrıntılı bilgi için bkz. KB 4474419.

HATIRLATMA .NET Framework 4.7.2, 4.7.1, 4.7, 4.6.2, 4.6.1 ve 4.6 için tüm güncelleştirmeler d3dcompiler_47.dll güncelleştirmesinin yüklenmesini gerektirir. Bu güncelleştirmeyi uygulamadan önce eklenen d3dcompiler_47.dll güncelleştirmesini yüklemenizi öneririz. d3dcompiler_47.dll hakkında daha fazla bilgi için bkz. KB 4019990.

Bu güncelleştirmeyi yükledikten sonra bir dil paketi yüklerseniz, bu güncelleştirmeyi yeniden yüklemeniz gerekir. Bu nedenle, bu güncelleştirmeyi yüklemeden önce ihtiyacınız olan tüm dil paketlerini yüklemenizi öneririz. Daha fazla bilgi için bkz. Windows'a dil paketleri ekleme.

Özet

Bu güvenlik güncelleştirmesi, System.Data.SqlClient ve Microsoft.Data.SqlClient kitaplıklarında bulunan ve yüksek yük altında gerçekleşen bir zaman aşımının zaman uyumsuz olarak yürütülen bir sorgu veya komutun sonucu olarak yanlış verilerin döndürülmasına neden olabileceği bir güvenlik açığını giderir. Daha fazla bilgi için bkz . CVE-2022-41064.

Bu güncelleştirme hakkında ek bilgi

Aşağıdaki makaleler, tek tek ürün sürümleriyle ilgili olarak bu güncelleştirme hakkında ek bilgiler içerir.

  • 5020681 Windows Server 2008 SP2 için .NET Framework 4.6.2 için Yalnızca Güvenlikle ilgili Güncelleştirmenin Açıklaması (KB5020681)

  • 5020678 Windows 7 SP1 ve Windows Server 2008 R2 SP1 için .NET Framework 4.6.2, 4.7, 4.7.1, 4.7.2, 4.8 için Yalnızca Güvenlikle ilgili Güncelleştirmenin Açıklaması (KB5020678)

Bu güncelleştirmedeki bilinen sorunlar

Microsoft şu anda bu güncelleştirmedeki herhangi bir sorunun farkında değildir.

Güncelleştirmeyi edinme ve yükleme

Bu güncelleştirmeyi yüklemeden önce

Önkoşul:

Bu güncelleştirmeyi uygulamak için .NET Framework 4.6.2, 4.7, 4.7.1, 4.7.2 yüklü olmalıdır.

Bu güncelleştirmeyi yükle

Yayın Kanalı

Kullanılabilir

Sonraki Adım

Microsoft Update Kataloğu

Evet

Bu güncelleştirmenin tek başına paketini almak için Microsoft Update Kataloğu web sitesine gidin.

Windows Server Update Services (WSUS)

Evet

Ürünler ve Sınıflandırmalar'ı aşağıdaki gibi yapılandırdığınızda bu güncelleştirme WSUS ile otomatik olarak eşitlenir:

Ürün:Windows 7 SP1 ve Windows Server 2008 R2 SP1 ve Windows Server 2008 SP2

Sınıflandırma: Güvenlik Güncelleştirmeler

Yeniden başlatma gereksinimi

Etkilenen dosyalar kullanılıyorsa bu güncelleştirmeyi uyguladıktan sonra bilgisayarı yeniden başlatmanız gerekebilir. Bu güncelleştirmeyi uygulamadan önce tüm .NET Framework tabanlı uygulamalardan çıkmanızı öneririz.

Dağıtım bilgilerini güncelleştirme

Bu güvenlik güncelleştirmesinin dağıtım ayrıntıları için Microsoft Bilgi Bankası'nda aşağıdaki makaleye gidin:

20221108 Güvenlik güncelleştirmesi dağıtım bilgileri: 8 Kasım 2022

Güncelleştirme kaldırma bilgileri

Yükleme dosyasının doğru sürümü ve sağlaması olduğunda Algıla ve Onar bu dosyanın üzerine kopyalamaz. Herhangi bir güvenlik güncelleştirmesini kaldırmanızı önermeyiz. Bu güncelleştirmeyi kaldırmak için Denetim Masası'deki Programlar ve Özellikler öğesini kullanın.

Yeniden başlatma bilgilerini güncelleştirme

Bu güncelleştirme, güncelleştirilmekte olan dosyalar kilitli olmadığı veya kullanılmadığı sürece uygulamayı uyguladıktan sonra sistemin yeniden başlatılmasını gerektirmez.

Dosya Bilgileri

x86

Dosya adı

Dosya sürümü

Dosya boyutu

Tarih

Saat

msvcp120_clr0400.dll

12.0.52519.0

485,576

20 Ekim 2022

07:01

msvcr120_clr0400.dll

12.0.52519.0

987,840

20 Ekim 2022

07:01

System.Data.dll

4.7.4005.0

3,467,696

20 Ekim 2022

07:01

x64

Dosya adı

Dosya sürümü

Dosya boyutu

Tarih

Saat

msvcp120_clr0400.dll

12.0.52519.0

690,008

20 Ekim 2022

06:52

msvcp120_clr0400.dll

12.0.52519.0

485,576

20 Ekim 2022

07:01

msvcr120_clr0400.dll

12.0.52519.0

993,632

20 Ekim 2022

06:52

msvcr120_clr0400.dll

12.0.52519.0

987,840

20 Ekim 2022

07:01

System.Data.dll

4.7.4005.0

3,529,608

20 Ekim 2022

06:52

System.Data.dll

4.7.4005.0

3,467,696

20 Ekim 2022

07:01

Ön koşullar

Bu güncelleştirmeyi uygulamak için .NET Framework 4.6.2, 4.7, 4.7.1, 4.7.2 yüklü olmalıdır.

Yeniden başlatma gereksinimi

Etkilenen dosyalar kullanılıyorsa bu güncelleştirmeyi uyguladıktan sonra bilgisayarı yeniden başlatmanız gerekir. Bu güncelleştirmeyi uygulamadan önce tüm .NET Framework tabanlı uygulamalardan çıkmanızı öneririz.

Bu güncelleştirme için yardım ve destek alma

Daha fazla yardıma mı ihtiyacınız var?

Yeteneklerinizi geliştirin
Eğitimleri keşfedin
Yeni özellikleri ilk olarak siz edinin
Microsoft Insider 'a katılın

Bu bilgi yararlı oldu mu?

Dil kalitesinden ne kadar memnunsunuz?
Deneyiminizi ne etkiledi?

Geri bildiriminiz için teşekkürler!

×